Bug 345281 - DPD is too sensitive
DPD is too sensitive
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: vpnc (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Christian Krause
Fedora Extras Quality Assurance
: FutureFeature
: 378711 402121 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-22 10:39 EDT by Bastien Nocera
Modified: 2011-09-05 16:16 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-05 16:16:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2007-10-22 10:39:32 EDT
vpnc-0.5.1-1.fc8

I was running another version on FC6 which seemed to rekey properly. Right now,
vpnc seems to be dying every couple of hours.
Comment 1 Tomas Mraz 2007-10-22 11:25:52 EDT
Is there some packet loss on your internet connection to the VPN gateway?

Can you add this line to your /etc/vpnc/default.conf:

DPD idle timeout (our side) 0

Does it help?
Comment 2 Bastien Nocera 2007-10-26 12:43:58 EDT
Yep, works great
Comment 3 Tomas Mraz 2007-11-12 16:22:09 EST
*** Bug 378711 has been marked as a duplicate of this bug. ***
Comment 4 Tomas Mraz 2007-11-13 02:44:08 EST
I made update in rawhide and F8 testing updates with an attempt to make DPD less
sensitive. Can you test it without the DPD idle timeout option in config file?
(vpnc-0.5.1-2)
Comment 5 Fedora Update System 2007-11-14 22:44:50 EST
vpnc-0.5.1-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update vpnc'
Comment 6 James Antill 2007-11-19 12:17:38 EST
 I tried:

vpnc(0:0.5.1-2.fc8).x86_64

...without the config. change ... and it is better, but it is still dropping the
connection about once a day or so, so I've gone back to using the:

DPD idle timeout (our side) 0

...workaround.
Comment 7 Tomas Mraz 2007-11-19 12:44:11 EST
Can you try something like:

DPD idle timeout (our side) 1200

This will make the idle timeout twice as long than default.
Comment 8 Fedora Update System 2007-11-21 22:26:36 EST
vpnc-0.5.1-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Tomas Mraz 2007-11-28 05:29:50 EST
*** Bug 402121 has been marked as a duplicate of this bug. ***
Comment 10 Matthew Saltzman 2007-11-28 10:55:46 EST
(In reply to comment #8)
> vpnc-0.5.1-2.fc8 has been pushed to the Fedora 8 stable repository.  If
problems still persist, please make note of it in this bug report.

Problems persist for me with vpnc-0.5.1-2.fc8.  Also, there doesn't seem to be
any way to set the option in NetworkManager-vpnc (I'll file that separately).

Comment 11 Matthew Saltzman 2007-11-29 09:27:00 EST
Note that editing default.conf does not affect connections made using other
.conf files.  The vpnc man page is not clear on this point.

The NetworkManager-vpnc bug is #403661.
Comment 12 Bug Zapper 2008-05-13 23:41:59 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2009-06-09 19:06:17 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Fedora Admin XMLRPC Client 2011-08-30 20:42:57 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 15 Christian Krause 2011-09-05 16:16:00 EDT
The last comment to this bug report was posted nearly 4 years ago. So far I haven't seen any similar issues recently. I'll close this bug report for now as WORKSFORME.

If the problem is still present, please re-test it in Fedora 14 or 15 and open up a new bug report.

Note You need to log in before you can comment on or make changes to this bug.